# -*- rpm-spec -*-
# $Id: perl-Expect,v 1.3 2003/09/30 15:17:51 grigory Exp $

%define _without_test 1
%define module Expect

Name: perl-%module
Version: 1.15
Release: alt3.1

Packager: Grigory Milev <week@altlinux.ru>

Summary: %module - Perl Expect interface
License: GPL
Group: Development/Perl

Url: http://www.cpan.org/modules/by-module/%module
Source: %url/%module-%version.tar.bz2
Patch: Expect-1.15-alt-build.patch

BuildArch: noarch

# Automatically added by buildreq on Wed Nov 06 2002
BuildRequires: perl-IO-Stty perl-IO-Tty perl-devel

%description
Expect.pm is built to either spawn a process or take an existing filehandle
and interact with it such that normally interactive tasks can be done
without operator assistance. This concept makes more sense if you are
already familiar with the versatile Tcl version of Expect.

%prep
%setup -q -n %module-%version
find . -type f|xargs %perl_fix_local
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install
%__mkdir -p %buildroot/{%_bindir,%_man1dir}
%__cp examples/kibitz/kibitz %buildroot/%_bindir/kibitz.pl
%__cp examples/kibitz/kibitz.man %buildroot/%_man1dir/kibitz.pl.1

%files
%doc Changes MANIFEST README test.pl
%_bindir/*
%perl_vendor_privlib/Expect*
%perl_vendor_man3dir/*
%_man1dir/*

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.15-alt3.1
- Rebuilt with rpm-build-perl-0.5.1.

* Tue Sep 30 2003 Grigory Milev <week@altlinux.ru> 1.15-alt3
- don't make test after build, because we don't have acces to pty on build server

* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 1.15-alt2
- rebuild with new perl

* Wed Apr 10 2002 Grigory Milev <week@altlinux.ru> 1.15-alt1
- new version released

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 1.12-alt1
- New version released.

* Tue Aug 21 2001 Grigory Milev <week@altlinux.ru> 1.11-alt1
- First build for Sisyphus


